using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace CellTemplateSelector
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}
	}


	public class MyCellTemplateSelector : DataTemplateSelector
	{
		public override System.Windows.DataTemplate SelectTemplate(object item, System.Windows.DependencyObject container)
		{
			var player = item as Player;
			if (player.Number < 10)
			{

				return smallNumber;
				
			}
			return null;
		}
		
		public DataTemplate smallNumber { get; set; }
	}
}
